{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'added' %}
        <div class="alert alert-success" role="alert">
            The book was added successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while adding the book, contact the administrator!
        </div>
    {% elif control == 'exists' %}
        <div class="alert alert-warning" role="alert">
            The book already exists!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Book</h5>
        <div class="card-body">
            <h5 class="card-title">Add a new book to the virtual library</h5>
            {% if editorials %}
                <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'add_book' %}" method="post">
                    {% csrf_token %}
                    <div class="mb-3">
                        <label for="inputTitle" class="form-label">Book title</label>
                        <input type="text" class="form-control" name="inputTitle" id="inputTitle" aria-describedby="emailHelp" required>
                        <div id="nameHelp" class="form-text">This is the title of the new book.</div>
                    </div>

                    <div class="mb-3">
                        <label for="inputSynopsis" class="form-label">synopsis</label>
                        <textarea class="form-control" name="inputSynopsis" id="inputSynopsis" rows="3"></textarea>
                        <div id="synopsisHelp" class="form-text">This is the synopsis of the new book.</div>
                    </div>
                
                    <label for="inputCategory" class="form-label">Category</label>
                    <select id="inputCategory" name="inputCategory" class="form-select mb-3" required>
                        {% for category in categories %}
                            {% if forloop.first %}
                            <option selected>{{ category }}</option>
                            {% else %}
                                <option>{{ category }}</option>
                            {% endif %}
                        {% endfor %}
                    </select>
                    
                    <div class="mb-3">
                        <label for="inputAuthor" class="form-label">Author</label>
                        <input type="text" class="form-control" name="inputAuthor" id="inputAuthor" required>
                        <div id="authorHelp" class="form-text">note: If the author does not exist, it will be added</div>
                    </div>
                    
                    <label for="inputEditorial" class="form-label">Editorial</label>
                    <select id="inputEditorial" name="inputEditorial" class="form-select mb-3" required>
                        {% for editorial in editorials %}
                            {% if forloop.first %}
                            <option selected>{{ editorial.name }}</option>
                            {% else %}
                                <option>{{ editorial.name }}</option>
                            {% endif %}
                        {% endfor %}
                    </select>

                    <button type="submit" class="btn btn-success">Create</button>
                    <button type="button" onclick="window.location.href='{% url 'all_books' %}'" class="btn btn-primary">Return</button>
                </form>
            {% else %}
                <div class="alert alert-danger" role="alert">
                    There are no editorials in the virtual library, please add one first!
                </div>
                <p>You can add one editorial <a href="{% url 'add_editorial' %}">here</a></p>
            {% endif %}
        </div>
    </div>
</div>
{% endblock %}
